Subject: Compiling TF under NT
From: [email-masked]

26 Jan 1998 15:51:36 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Tinyfugue <[email-masked]>, gnu <[email-masked]>

Ok I downloaded the gnuwin cdk.exe installed it read the instructions
then I downloaded sergies patches , I had to guess what to do with them
since there was no docs as what to do with cygwin.dll and libcygwin.a
so I found the existing files and copied them over did the same
with bash.exe copied the newone over the old ones.
I figured sh.exe and bash.exe were the same so I copied over
sh.exe bash.exe. AFter 2 hours I still cant compile tinfyugue this is
what I get when I try it.

C:\tf\tf-40a4RF>bash
bash-2.01$ dir
Build.log    CREDITS      os2          tf-lib       win32
CHANGES      Makefile     os2make.cmd  unix
COPYING      README       src          unixmake
bash-2.01$ unixmake files
bash: unixmake: command not found
bash-2.01$ sh unixmake files
../tfconfig: ue: command not found
../tfconfig: line 142: syntax error near unexpected token `(p'
../tfconfig: line 142: `# Don't allow installation in the build tree
(people have
actually tried this).'
make: *** [_log] Error 1
bash-2.01$ exit
exit

I figured if I compile it my self maybe some of the problems I been
having will be fixed. Oh here is my varibel setting as well.

COMPUTERNAME=KAIRO
ComSpec=C:\WINNT\system32\cmd.exe
GCC_EXEC_PREFIX=C:\program
files\gnuwin32\b18\H-i386-cygwin32\lib\gcc-lib\
GDBTK_LIBRARY=C:/program files/gnuwin32/b18/share/gdbtcl
HOME=C:\Program Files\TinyFugue 4.0a4\home
HOMEDRIVE=C:
HOMEPATH=\
LOGONSERVER=\\KAIRO
MSINPUT=C:\program files\Msinput
NTRESKIT=C:\program files\NTRESKIT
NUMBER_OF_PROCESSORS=1
OS=Windows_NT
Os2LibPath=C:\WINNT\system32\os2\dll;
Path=C:\WINNT\system32;C:\WINNT;c:\util\pkzip;c:\util;C:\program
files\gnuwin32\b18\H-i386-cygwin32\bin;C:\program
files\gnuwin32\b18\tcl\bin
PATHEXT=.COM;.EXE;.BAT;.CMD
PROCESSOR_ARCHITECTURE=x86
PROCESSOR_IDENTIFIER=x86 Family 5 Model 6 Stepping 1, AuthenticAMD
PROCESSOR_LEVEL=5
PROCESSOR_REVISION=0601
PROMPT=$P$G
SystemDrive=C:
SystemRoot=C:\WINNT
TCL_LIBRARY=C:/program files/gnuwin32/b18/tcl/lib/tcl7.6
TEMP=C:\TEMP
TFGEOM=81x25
TFLIBDIR=//c/program files/TinyFugue 4.0a4/tf-lib/
TMP=C:\TEMP
USERDOMAIN=KAIRO
USERNAME=Administrator
USERPROFILE=C:\WINNT\Profiles\Administrator
windir=C:\WINNT

I have a feeling I am over my head here, but maybe not.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".